Subject: Re: [nfsv4] sparse files support for NFS

From: Marc Eshel <[email-masked]>
Date: Wed, 30 Sep 2009 08:45:05 -0700

Nikita Danilov <[email-masked]> wrote on 09/30/2009 04:43:58 AM:
> 
> Hello,
> 
> Marc Eshel wrote:
>  > I would like to propose an extension to NFSv4.2 to support sparse 
files.
> 
> [...]
> 
>  > zeros over the network. Step two can also provide additional 
information
>  > along with the E_HOLE return code to specify the offset of next data 
chunk
>  > and the length of it. Step three would be to use pNFS layouts to 
describe
>  > the holes in the file and avoid reading them by the client all 
together.
> 
> won't de-duplication, as proposed in
> http://tools.ietf.org/html/draft-eisler-nfsv4-pnfs-dedupe-00, cover
> client-side sparse files support?

No, the first two steps are simple and are independent of pNFS, maybe the 
third step can be combined with the pNFS proposal for dedupe but I will 
need to think about some more.
Marc.

>  > Marc.
> Thank you,
> Nikita.

---

From: Nikita Danilov <[email-masked]>
Date: Wed, 30 Sep 2009 15:43:58 +0400

Hello,

Marc Eshel wrote:
 > I would like to propose an extension to NFSv4.2 to support sparse files.

[...]

 > zeros over the network. Step two can also provide additional information
 > along with the E_HOLE return code to specify the offset of next data chunk
 > and the length of it. Step three would be to use pNFS layouts to describe
 > the holes in the file and avoid reading them by the client all together.

 >
 > Marc.

Thank you,
Nikita.